# frozen_string_literal: true

Gem::Specification.new do |s|
  s.name          = 'cloudscreener_ruby_sdk'
  s.version       = '0.0.2'
  s.date          = '2018-02-20'
  s.summary       = 'Official Node.js SDK for Cloudscreener Decision Engine'
  s.authors       = ['Emmanuel QUENTIN']
  s.email         = %w[contact@cloudscreener.com]
  s.files         = `git ls-files -z`.split("\x0")
  s.test_files    = s.files.grep(%r{^(test|spec|features)/})
  s.require_paths = %w[lib]
  s.homepage      = 'https://github.com/cloudscreener/cloudscreener-ruby-sdk'
  s.license       = 'MIT'

  s.add_runtime_dependency 'httparty', '~> 0.16', '>= 0.16.0'

  s.add_development_dependency 'byebug', '~> 10.0', '>= 10.0.0'
  s.add_development_dependency 'rspec-core', '~> 3.7.1', '>= 3.7.1'
  s.add_development_dependency 'rspec-expectations', '~> 3.7.0', '>= 3.7.0'
  s.add_development_dependency 'rspec-mocks', '~> 3.7.0', '>= 3.7.0'
  s.add_development_dependency 'rubocop', '~> 0.52.1', '>= 0.52.1'
  s.add_development_dependency 'vcr', '~> 4.0.0', '>= 4.0.0'
  s.add_development_dependency 'webmock', '~> 3.3.0', '>= 3.3.0'

  s.required_ruby_version = '>= 2.1.0'
end
